Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class RegistrationData

    java.lang.Object
      org.jboss.portal.wsrp.core.RegistrationData

All Implemented Interfaces:
  java.io.Serializable

    public class RegistrationData

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `consumerAgent`
`protected java.lang.String[]` | `consumerModes`
`protected java.lang.String` | `consumerName`
`protected java.lang.String[]` | `consumerUserScopes`
`protected java.lang.String[]` | `consumerWindowStates`
`protected java.lang.String[]` | `customUserProfileData`
`protected Extension[]` | `extensions`
`protected boolean` | `methodGetSupported`
`protected Property[]` | `registrationProperties`

Constructor Summary
`RegistrationData()`
`RegistrationData(java.lang.String consumerName, java.lang.String consumerAgent, boolean methodGetSupported, java.lang.String[] consumerModes, java.lang.String[] consumerWindowStates, java.lang.String[] consumerUserScopes, java.lang.String[] customUserProfileData, Property[] registrationProperties, Extension[] extensions)`

Method Summary
`java.lang.String` | `getConsumerAgent()`
`java.lang.String[]` | `getConsumerModes()`
`java.lang.String` | `getConsumerName()`
`java.lang.String[]` | `getConsumerUserScopes()`
`java.lang.String[]` | `getConsumerWindowStates()`
`java.lang.String[]` | `getCustomUserProfileData()`
`Extension[]` | `getExtensions()`
`Property[]` | `getRegistrationProperties()`
`boolean` | `isMethodGetSupported()`
`void` | `setConsumerAgent(java.lang.String consumerAgent)`
`void` | `setConsumerModes(java.lang.String[] consumerModes)`
`void` | `setConsumerName(java.lang.String consumerName)`
`void` | `setConsumerUserScopes(java.lang.String[] consumerUserScopes)`
`void` | `setConsumerWindowStates(java.lang.String[] consumerWindowStates)`
`void` | `setCustomUserProfileData(java.lang.String[] customUserProfileData)`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setMethodGetSupported(boolean methodGetSupported)`
`void` | `setRegistrationProperties(Property[] registrationProperties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### consumerName

    protected java.lang.String consumerName

### consumerAgent

    protected java.lang.String consumerAgent

### methodGetSupported

    protected boolean methodGetSupported

### consumerModes

    protected java.lang.String[] consumerModes

### consumerWindowStates

    protected java.lang.String[] consumerWindowStates

### consumerUserScopes

    protected java.lang.String[] consumerUserScopes

### customUserProfileData

    protected java.lang.String[] customUserProfileData

### registrationProperties

    protected Property[] registrationProperties

### extensions

    protected Extension[] extensions

Constructor Detail

### RegistrationData

    public RegistrationData()

### RegistrationData

    public RegistrationData(java.lang.String consumerName,
                            java.lang.String consumerAgent,
                            boolean methodGetSupported,
                            java.lang.String[] consumerModes,
                            java.lang.String[] consumerWindowStates,
                            java.lang.String[] consumerUserScopes,
                            java.lang.String[] customUserProfileData,
                            Property[] registrationProperties,
                            Extension[] extensions)

Method Detail

### getConsumerName

    public java.lang.String getConsumerName()

### setConsumerName

    public void setConsumerName(java.lang.String consumerName)

### getConsumerAgent

    public java.lang.String getConsumerAgent()

### setConsumerAgent

    public void setConsumerAgent(java.lang.String consumerAgent)

### isMethodGetSupported

    public boolean isMethodGetSupported()

### setMethodGetSupported

    public void setMethodGetSupported(boolean methodGetSupported)

### getConsumerModes

    public java.lang.String[] getConsumerModes()

### setConsumerModes

    public void setConsumerModes(java.lang.String[] consumerModes)

### getConsumerWindowStates

    public java.lang.String[] getConsumerWindowStates()

### setConsumerWindowStates

    public void setConsumerWindowStates(java.lang.String[] consumerWindowStates)

### getConsumerUserScopes

    public java.lang.String[] getConsumerUserScopes()

### setConsumerUserScopes

    public void setConsumerUserScopes(java.lang.String[] consumerUserScopes)

### getCustomUserProfileData

    public java.lang.String[] getCustomUserProfileData()

### setCustomUserProfileData

    public void setCustomUserProfileData(java.lang.String[] customUserProfileData)

### getRegistrationProperties

    public Property[] getRegistrationProperties()

### setRegistrationProperties

    public void setRegistrationProperties(Property[] registrationProperties)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD